Subject: bug#15725: 24.3; Using C-x C-c to close Emacs running in windowed mode on Windows can leave window blank and unresponsive

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2013 05:47:44 +0200

> Date: Sat, 26 Oct 2013 16:18:12 -0400
> From: William Kunkel <[email-masked]>
> 
> Sometimes, when closing an instance of Emacs that is running in windowed
> mode using C-x C-c, Emacs will not properly exit. Instead, the contents
> of the window will disappear, including the minibuffer, status bar, and
> shortcut icons at the top. The background color will remain, but no
> keyboard shortcuts will have any effect, and the application menu,
> i.e. "File, Edit, Options" etc. will become unresponsive. Each menu item
> will still be highlighted when the mouse hovers over it, but clicking
> the menu item produces no effect. In this state, the window cannot be
> closed either through C-x C-c or by clicking the red "x" button in the
> top right-hand corner, and must be closed via Task Manager or taskkill.

Please see if this isn't bug #14333, by providing information
regarding the threads of the stuck Emacs and their backtraces.  The
information about how to produce this info is in the discussions of
that bug report.

Thanks.